C=====F4-COEFFICIENTS IN HF-EQUATION=====
      REAL*8 FUNCTION F4(K,L,Q)
      REAL*8 A
      INTEGER Q
      CALL IOT31(L,K,L,0,0,0,A)
      F4=DFLOAT(Q*(Q-1)*(2*L+1))/DFLOAT(4*L)*A*A
      RETURN
C     DEBUG INIT
      END
